Problem z aktualizacją Ubuntu 10.04


(długopis) #1

Witam wszystkich. Od dłuższego czasu nie mogę dokonać żadnych aktualizacji. Obok ikonki kosza pojawił się czerwony znak z białym poprzecznym paskiem, jak znak drogowy.

Pojawia się komunikat:

Nic mi to kompletnie nie mówi. Jestem zielony w programowaniu, starego komputera używam tylko do przegldania internetu i pracy. Proszę o pomoc i wyrozumiałość.


(Chillout) #2

Dodawałeś jakieś własne repozytoria?

Wklej zawartość wyniku w terminalu:

sudo apt-get update


(długopis) #3

Zamierzam przejść na nowszą dystrybucję przez aktualizację tej ale nie wiem czy na początku nie powinienem tego naprawic.

Nic nie dodawałem. Nic nie mieszałem. Wpisałem to polecenie, a potem tamto, które podpowiedziało i wyszło coś takiego:


(marcin82) #4

Podaj wyniki poleceń z konsoli:

cat /etc/apt/sources.list

ls -al /etc/apt/sources.list.d

cat /etc/apt/sources.list.d/*

(długopis) #5
cat /etc/apt/sources.list

ls -al /etc/apt/sources.list.d

cat /etc/apt/sources.list.d/*

Możliwe by mój komputer został przez kogoś zaatakowany? W końcu jestem noobem.


(marcin82) #6

Wykonaj w konsoli takie polecenie:

sudo rm -f /etc/apt/sources.list.d/lucid-partner.list

Następnie wykonaj:

sudo apt-get update && sudo apt-get dist-upgrade

Jeśli będą błędy - wklej na forum. Użyj jednak tagów Code , bo quote przycina linki.


(długopis) #7
pawel@pawel-desktop:~$ sudo rm -f /etc/apt/sources.list.d/lucid-partner.list[sudo] password for pawel: 

pawel@pawel-desktop:~$ sudo rm -f /etc/apt/sources.list.d/lucid-partner.listpawel@pawel-desktop:~$ sudo apt-get update && sudo apt-get dist-upgrade

Traf http://pl.archive.ubuntu.com lucid Release.gpg

Traf http://pl.archive.ubuntu.com/ubuntu/ lucid/main Translation-pl            

Traf http://pl.archive.ubuntu.com/ubuntu/ lucid/restricted Translation-pl      

Traf http://pl.archive.ubuntu.com/ubuntu/ lucid/universe Translation-pl        

Traf http://pl.archive.ubuntu.com/ubuntu/ lucid/multiverse Translation-pl      

Pob: 1 http://pl.archive.ubuntu.com lucid-updates Release.gpg [198B]           

Traf http://pl.archive.ubuntu.com/ubuntu/ lucid-updates/main Translation-pl    

Traf http://pl.archive.ubuntu.com/ubuntu/ lucid-updates/restricted Translation-pl

Traf http://pl.archive.ubuntu.com/ubuntu/ lucid-updates/universe Translation-pl

Traf http://pl.archive.ubuntu.com/ubuntu/ lucid-updates/multiverse Translation-pl

Traf http://archive.canonical.com lucid Release.gpg                            

Ign http://archive.canonical.com/ubuntu/ lucid/partner Translation-pl          

Pob: 2 http://security.ubuntu.com lucid-security Release.gpg [198B]            

Ign http://security.ubuntu.com/ubuntu/ lucid-security/main Translation-pl      

Ign http://security.ubuntu.com/ubuntu/ lucid-security/restricted Translation-pl

Ign http://security.ubuntu.com/ubuntu/ lucid-security/universe Translation-pl  

Ign http://security.ubuntu.com/ubuntu/ lucid-security/multiverse Translation-pl

Traf http://pl.archive.ubuntu.com lucid-backports Release.gpg                  

Ign http://pl.archive.ubuntu.com/ubuntu/ lucid-backports/main Translation-pl   

Traf http://ppa.launchpad.net lucid Release.gpg                                

Ign http://ppa.launchpad.net/mozillateam/firefox-stable/ubuntu/ lucid/main Translation-pl

Ign http://pl.archive.ubuntu.com/ubuntu/ lucid-backports/restricted Translation-pl

Ign http://pl.archive.ubuntu.com/ubuntu/ lucid-backports/universe Translation-pl

Ign http://pl.archive.ubuntu.com/ubuntu/ lucid-backports/multiverse Translation-pl

Traf http://pl.archive.ubuntu.com lucid Release                                

Pob: 3 http://pl.archive.ubuntu.com lucid-updates Release [58,3kB]             

Traf http://archive.canonical.com lucid Release                                

Pob: 4 http://security.ubuntu.com lucid-security Release [57,3kB]              

Traf http://ppa.launchpad.net lucid Release                                    

Traf http://pl.archive.ubuntu.com lucid-backports Release                      

Traf http://pl.archive.ubuntu.com lucid/main Packages                          

Traf http://pl.archive.ubuntu.com lucid/restricted Packages                    

Traf http://pl.archive.ubuntu.com lucid/universe Packages                      

Traf http://pl.archive.ubuntu.com lucid/multiverse Packages                    

Traf http://pl.archive.ubuntu.com lucid/main Sources                           

Traf http://pl.archive.ubuntu.com lucid/restricted Sources                     

Traf http://pl.archive.ubuntu.com lucid/universe Sources                       

Traf http://pl.archive.ubuntu.com lucid/multiverse Sources                     

Traf http://archive.canonical.com lucid/partner Packages                       

Traf http://ppa.launchpad.net lucid/main Packages                              

Pob: 5 http://pl.archive.ubuntu.com lucid-updates/main Packages [636kB]        

Traf http://archive.canonical.com lucid/partner Sources     

Pob: 6 http://security.ubuntu.com lucid-security/main Packages [433kB]

Pob: 7 http://pl.archive.ubuntu.com lucid-updates/restricted Packages [4630B]

Pob: 8 http://pl.archive.ubuntu.com lucid-updates/universe Packages [277kB]    

Pob: 9 http://security.ubuntu.com lucid-security/restricted Packages [2867B]   

Pob: 10 http://security.ubuntu.com lucid-security/universe Packages [134kB]    

Pob: 11 http://pl.archive.ubuntu.com lucid-updates/multiverse Packages [11,5kB]

Pob: 12 http://pl.archive.ubuntu.com lucid-updates/main Sources [227kB]        

Pob: 13 http://pl.archive.ubuntu.com lucid-updates/restricted Sources [2196B]  

Pob: 14 http://pl.archive.ubuntu.com lucid-updates/universe Sources [103kB]    

Pob: 15 http://pl.archive.ubuntu.com lucid-updates/multiverse Sources [5821B]  

Traf http://pl.archive.ubuntu.com lucid-backports/main Packages                

Traf http://pl.archive.ubuntu.com lucid-backports/restricted Packages

Traf http://pl.archive.ubuntu.com lucid-backports/universe Packages            

Traf http://pl.archive.ubuntu.com lucid-backports/multiverse Packages          

Traf http://pl.archive.ubuntu.com lucid-backports/main Sources                 

Traf http://pl.archive.ubuntu.com lucid-backports/restricted Sources           

Traf http://pl.archive.ubuntu.com lucid-backports/universe Sources             

Traf http://pl.archive.ubuntu.com lucid-backports/multiverse Sources           

Pob: 16 http://security.ubuntu.com lucid-security/multiverse Packages [5353B]  

Pob: 17 http://security.ubuntu.com lucid-security/main Sources [128kB]

Pob: 18 http://security.ubuntu.com lucid-security/restricted Sources [1267B]

Pob: 19 http://security.ubuntu.com lucid-security/universe Sources [41,5kB]

Pob: 20 http://security.ubuntu.com lucid-security/multiverse Sources [2321B]

Pobrano 2132kB w 3s (578kB/s)                           

Czytanie list pakietów... Gotowe

Czytanie list pakietów... Gotowe

Budowanie drzewa zależności       

Odczyt informacji o stanie... Gotowe

Obliczanie aktualizacji...Nie udało się

Następujące pakiety mają niespełnione zależności:

  firefox: Psuje: adobe-flashplugin (<= 11.1.102.63-0lucid1) ale 10.0.32.18-1jaunty1 ma zostać zainstalowany

E: Błąd, pkgProblemResolver::Resolve zwrócił błąd, może to być spowodowane zatrzymanymi pakietami.

pawel@pawel-desktop:~$

(marcin82) #8

Daj wynik:

apt-cache policy adobe-flashplugin

Skąd tam się wziął niższy pakiet z wyższym priorytetem? (jaunty jackalope) :smiley:


(długopis) #9

Naprawdę nie wiem. Któregoś pięknego dnia, bez mieszania z mojej strony, wyszedł mi ten problem z aktualizacjami i tak został. Ktoś mógł mnie zaatakować?

pawel@pawel-desktop:~$ apt-cache policy adobe-flashplugin

adobe-flashplugin:

  Zainstalowana: 10.0.32.18-1jaunty1

  Kandydująca: 11.2.202.238-0lucid1

  Tabela wersji:

     11.2.202.238-0lucid1 0

        500 http://archive.canonical.com/ubuntu/ lucid/partner Packages

 *** 10.0.32.18-1jaunty1 0

        100 /var/lib/dpkg/status

pawel@pawel-desktop:~$

(marcin82) #10

To daj:

sudo apt-get --purge remove adobe-flashplugin

Potem daj:

sudo apt-get update && sudo apt-get dist-upgrade

Jakby pierwsze coś pyskowało to pokaż błędy na forum ;]

Wygląda w takim razie na pozostałość po ubuntu 9.04 ...


(długopis) #11

Po wpisaniu pierwszej komendy chyba się naprawiło. Nie jestem pewien czy nie pojawiły się jakieś błędy. Bo podczas aktualizacji jakieś były - część aktualizacji się zainstalowała, a część nie. Wykrywanych było jescze sponad 60 ale ich nie widzialem. Po wpisaniu tej drugiej komendy i po restarcie pc dalej tak samo z tym, że mi teraz ekran się zmniejszył, rozdzilczość spadła. No nic to postanowiłem zaktualizować do tej wersji 12.04. Wszystko było ok do 13 minuty. Pojawiły się jakieś błędy, wcześniej pojawiały się, że mało miejsca na systemie (taki tytuł błędu) a treść kwadraty\kwiatki. Jeszcze kilka takich błędów w kiwatkach, potem widziałem też je w terminalu i lipa. Pojawił się jakiś błąd, że system się nie zainstalwoał poprawnie przez coś i nie będzie działał. I faktycznie nie działa. Teraz system odpaliłem przez wybór drugiej opcji podczas startu (tam gdzie się wybiera linux czy windows or sth), tej, z której wcześniej chyba odpalałem system normalnie. Jakoś to działa ale pewnie nie obędzie sie bez błędów. Sam się dziwię, że zaskoczył. Dziwnie tu. Jest jakaś możliwość by wyglądało to wszystko jak 10.04? Z komputera korzysta też inna osoba, której cieżko jest sie przyzwyczaić do czegoś innego niź windows, a 10.04 było ok. Nie mam paska zadań, ani jak wejść w ustawienia systemu, wole stare ubunutu...

Dziękuję za pomoc i pozdrawiam wszystkich!


(Niedzw) #12

Nic z tego nie rozumiem co piszesz ale wygląda że masz za słaby komputer do 12.04 z Unity. Zainstaluj Minta Mate tak jak ci radzi kolega Scorpions.B.to będziesz miał menu jak w 10.04 i lżejsze środowisko graficzne.


(długopis) #13

Jak będzie potrzeba to sprostuję później, jak wtrzeźwieję :wink:

Mam wrażenie, że tak to wygląda bo system się nie do końca sprawnie zainstalował.


(roobal) #14

System aktualizowałeś z obecnej wersji do 12.04 czy instalowałeś na czysto z płyty/pendrajwa? Jeśli instalowałeś na czysto i chcesz wrócić do 10.04, to zainstaluj ten system na nowo.

Po co, skoro ten system ma wsparcie do połowy 2013 roku? Nie ma sensu zmieniać czegoś, co działa dobrze. Nie każdemu zależy na cyferkach w numeracji oprogramowania, nie wspominając już o przyzwyczajeniach. Problem wypadałoby rozwiązać, a nie go obejść.


(długopis) #15

System aktualizowałem z obecnej wersji. Mimo to zastanawiam się nad reinstalacją z płytki, bo obawiam się kolejnych niespodzianek.

Obecna wersja śmierdzi mi już tymi udziwnieniami w windowsach.